<?php
/*
 * The template for displaying 404 pages (not found).
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Theme Options
$kroth_error_heading = cs_get_option('error_heading');
$kroth_error_page_content = cs_get_option('error_page_content');
$kroth_error_page_bg = cs_get_option('error_page_bg');
$kroth_error_btn_text = cs_get_option('error_btn_text');

$kroth_error_heading = ( $kroth_error_heading ) ? $kroth_error_heading : __( 'Sorry! The Page Not Found', 'kroth' );
$kroth_error_page_content = ( $kroth_error_page_content ) ? $kroth_error_page_content : __( 'The Link You Followed Probably Broken, Or The Page Has Been Removed From Website.', 'kroth' );
$kroth_error_page_bg = ( $kroth_error_page_bg ) ? wp_get_attachment_url($kroth_error_page_bg) : KROTH_IMAGES . '/404.png';
$kroth_error_btn_text = ( $kroth_error_btn_text ) ? $kroth_error_btn_text : __( 'BACK TO HOME', 'kroth' );

get_header(); ?>

	<!-- Content -->
	<div class="container">
	<div class="row">

		<div class="error-content">
			<img src="<?php echo esc_url($kroth_error_page_bg); ?>" alt="<?php _e('404 Error', 'kroth'); ?>">
			<h1><?php echo esc_attr($kroth_error_heading); ?></h1>
			<p><?php echo esc_attr($kroth_error_page_content); ?></p>
			<a href="<?php echo esc_url(home_url( '/' )); ?>" class="krth-btn btn-fourth"><?php echo esc_attr($kroth_error_btn_text); ?></a>
		</div>

	</div>
	</div>
	<!-- Content -->

<?php
get_footer();