<?php
/*
 * The sidebar containing the main widget area.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

$kroth_blog_widget = cs_get_option('blog_widget');
$kroth_single_blog_widget = cs_get_option('single_blog_widget');
$kroth_team_widget = cs_get_option('team_widget');

if (is_page()) {
	// Page Layout Options
	$kroth_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );
}
?>

<div class="col-md-3 krth-sidebar">
	<?php if (is_page() && $kroth_page_layout['page_sidebar_widget']) {
		if (is_active_sidebar($kroth_page_layout['page_sidebar_widget'])) {
			dynamic_sidebar($kroth_page_layout['page_sidebar_widget']);
		}
	} elseif (!is_page() && $kroth_blog_widget && !$kroth_single_blog_widget) {
		if (is_active_sidebar($kroth_blog_widget)) {
			dynamic_sidebar($kroth_blog_widget);
		}
	} elseif ($kroth_team_widget && is_singular('team')) {
		if (is_active_sidebar($kroth_team_widget)) {
			dynamic_sidebar($kroth_team_widget);
		}
	} elseif (is_single() && $kroth_single_blog_widget) {
		if (is_active_sidebar($kroth_single_blog_widget)) {
			dynamic_sidebar($kroth_single_blog_widget);
		}
	} else {
		if (is_active_sidebar('sidebar-1')) {
			dynamic_sidebar( 'sidebar-1' );
		}
	} ?>
</div><!-- #secondary -->
