<?php
/*
 * The template for displaying all single portfolios.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
get_header();

// Metabox
$kroth_id    = ( isset( $post ) ) ? $post->ID : 0;
$kroth_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $kroth_id;
$kroth_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $kroth_id;
$kroth_meta  = get_post_meta( $kroth_id, 'page_type_metabox', true );

if ($kroth_meta) {
	$kroth_content_padding = $kroth_meta['content_spacings'];
} else { $kroth_content_padding = ''; }
// Padding - Metabox
if ($kroth_content_padding && $kroth_content_padding !== 'padding-none') {
	$kroth_content_top_spacings = $kroth_meta['content_top_spacings'];
	$kroth_content_bottom_spacings = $kroth_meta['content_bottom_spacings'];
	if ($kroth_content_padding === 'padding-custom') {
		$kroth_content_top_spacings = $kroth_content_top_spacings ? 'padding-top:'. kroth_check_px($kroth_content_top_spacings) .';' : '';
		$kroth_content_bottom_spacings = $kroth_content_bottom_spacings ? 'padding-bottom:'. kroth_check_px($kroth_content_bottom_spacings) .';' : '';
		$kroth_custom_padding = $kroth_content_top_spacings . $kroth_content_bottom_spacings;
	} else {
		$kroth_custom_padding = '';
	}
} else {
	$kroth_custom_padding = '';
}

// Translation
$kroth_single_pagination = cs_get_option('portfolio_single_pagination');
$kroth_prev_port = cs_get_option('prev_port');
$kroth_next_port = cs_get_option('next_port');
$kroth_prev_port = ($kroth_prev_port) ? $kroth_prev_port : __('Prev Project', 'kroth');
$kroth_next_port = ($kroth_next_port) ? $kroth_next_port : __('Next Project', 'kroth');
?>

<div class="container krth-content-area <?php echo esc_attr($kroth_content_padding); ?>" style="<?php echo esc_attr($kroth_custom_padding); ?>">
<div class="row">

	<div class="col-lg-12 no-padding sngl-port-cnt">
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

			<?php
			if (have_posts()) : while (have_posts()) : the_post();

				the_content();

			endwhile;
			endif;
			?>

		</div><!-- Post ID -->
	</div><!-- Content Area -->

	<?php if ($kroth_single_pagination) { ?>
	<!-- Next and Prev Navigation -->
	<div class="krth-portfolio-next-prev">
		<?php
		$kroth_prev_post = get_previous_post();
		$kroth_next_post = get_next_post();
		if ($kroth_prev_post) {
		?>
		<a href="<?php echo esc_url(get_permalink($kroth_prev_post->ID)); ?>" class="krth-portfolio-prev">
			<span class="krth-port-nav-hm"><i class="fa fa-angle-left"></i> <?php echo esc_attr($kroth_prev_port); ?></span>
			<span class="krth-port-nav-nm"><i class="fa fa-angle-left"></i></span>
		</a>
		<?php }
		if ($kroth_next_post) { ?>
		<a href="<?php echo esc_url(get_permalink($kroth_next_post->ID)); ?>" class="krth-portfolio-next">
			<span class="krth-port-nav-nm"><i class="fa fa-angle-right"></i></span>
			<span class="krth-port-nav-hm"><?php echo esc_attr($kroth_next_port); ?> <i class="fa fa-angle-right"></i></span>
		</a>
		<?php } ?>
	</div>
	<?php } ?>

</div>
</div>

<?php
get_footer();