<?php
/*
 * The template for portfolio category pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */
get_header();

if (is_post_type('portfolio')) {
	$kroth_portfolio_style = cs_get_option('portfolio_style');
	$kroth_portfolio_column = cs_get_option('portfolio_column');
	$kroth_portfolio_no_space = cs_get_option('portfolio_no_space');
	$kroth_portfolio_pagination = cs_get_option('portfolio_pagination');

	$kroth_portfolio_style = $kroth_portfolio_style ? $kroth_portfolio_style : 'one';
	$kroth_portfolio_column = $kroth_portfolio_column ? $kroth_portfolio_column : 'bpw-col-3';
	$kroth_portfolio_no_space = $kroth_portfolio_no_space ? 'bpw-no-gutter' : '';
}
?>

<div class="container krth-content-area">
	<div class="row">

	<?php if (is_post_type('portfolio')) { ?>
	<!-- Portfolio Start -->
  <div class="krth-portfolios bpw-style-<?php echo esc_attr($kroth_portfolio_style); ?> <?php echo esc_attr($kroth_portfolio_column); ?> <?php echo esc_attr($kroth_portfolio_no_space); ?>">
    <div class="grid-sizer"></div>
    <div class="gutter-sizer"></div>

		<?php
		/* Start the Loop */
		if (have_posts()) : while (have_posts()) : the_post();
				/* Template */
				get_template_part( 'layouts/portfolio/portfolio', $kroth_portfolio_style );
			endwhile;
		else :
			get_template_part( 'layouts/post/content', 'none' );
		endif;
		wp_reset_postdata(); ?>

	</div><!-- Portfolios End -->
	<?php
		if ($kroth_portfolio_pagination) {
		  kroth_paging_nav();
		}
	wp_reset_postdata();
	} // Post Type Portfolio
	?>

	</div> <!-- Row -->
</div> <!-- Container -->

<?php
get_footer();