<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
$kroth_id    = ( isset( $post ) ) ? $post->ID : 0;
$kroth_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $kroth_id;
$kroth_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $kroth_id;
$kroth_meta  = get_post_meta( $kroth_id, 'page_type_metabox', true );

if ($kroth_meta) {
	$kroth_content_padding = $kroth_meta['content_spacings'];
} else { $kroth_content_padding = ''; }
// Padding - Metabox
if ($kroth_content_padding && $kroth_content_padding !== 'padding-none') {
	$kroth_content_top_spacings = $kroth_meta['content_top_spacings'];
	$kroth_content_bottom_spacings = $kroth_meta['content_bottom_spacings'];
	if ($kroth_content_padding === 'padding-custom') {
		$kroth_content_top_spacings = $kroth_content_top_spacings ? 'padding-top:'. kroth_check_px($kroth_content_top_spacings) .';' : '';
		$kroth_content_bottom_spacings = $kroth_content_bottom_spacings ? 'padding-bottom:'. kroth_check_px($kroth_content_bottom_spacings) .';' : '';
		$kroth_custom_padding = $kroth_content_top_spacings . $kroth_content_bottom_spacings;
	} else {
		$kroth_custom_padding = '';
	}
} else {
	$kroth_custom_padding = '';
}

// Page Layout Options
$kroth_woo_columns = cs_get_option('woo_product_columns');
$kroth_woo_sidebar = cs_get_option('woo_sidebar_position');

$kroth_woo_columns = $kroth_woo_columns ? $kroth_woo_columns : '3';

if ($kroth_woo_sidebar === 'left-sidebar') {
	$kroth_column_class = 'col-md-9';
	$kroth_sidebar_class = 'krth-left-sidebar';
} elseif ($kroth_woo_sidebar === 'sidebar-hide') {
	$kroth_column_class = 'col-md-12';
	$kroth_sidebar_class = 'krth-hide-sidebar';
} else {
	$kroth_column_class = 'col-md-9';
	$kroth_sidebar_class = 'krth-right-sidebar';
}

get_header(); ?>

<div class="container krth-content-area woo-col-<?php echo esc_attr($kroth_woo_columns .' '. $kroth_content_padding .' '. $kroth_sidebar_class); ?>" style="<?php echo esc_attr($kroth_custom_padding); ?>">
	<div class="row">

		<?php
		// Left Sidebar
		if($kroth_woo_sidebar === 'left-sidebar') {
   		get_sidebar('shop');
		}
		?>

		<div class="krth-content-side <?php echo esc_attr($kroth_column_class); ?>">

			<?php
			if ( have_posts() ) :
				woocommerce_content();
			endif; // End of the loop.
			?>

		</div><!-- Content Area -->

		<?php
		// Right Sidebar
		if($kroth_woo_sidebar !== 'left-sidebar' && $kroth_woo_sidebar !== 'sidebar-hide') {
			get_sidebar('shop');
		}
		?>

	</div>
</div>

<?php
get_footer();